## org.eclipse.ocl.expressions.util
Class ExpressionsAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ocl.expressions.util.ExpressionsAdapterFactory

All Implemented Interfaces:
  AdapterFactory

    public class ExpressionsAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `ExpressionsPackage`

Field Summary
`protected static ExpressionsPackage` `modelPackage` The cached model package
`protected ExpressionsSwitch<Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`ExpressionsAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createAssociationClassCallExpAdapter()` Creates a new adapter for an object of class '`Association Class Call Exp`'
`Adapter` `createASTNodeAdapter()` Creates a new adapter for an object of class '`AST Node`'
`Adapter` `createBooleanLiteralExpAdapter()` Creates a new adapter for an object of class '`Boolean Literal Exp`'
`Adapter` `createCallExpAdapter()` Creates a new adapter for an object of class '`Call Exp`'
`Adapter` `createCallingASTNodeAdapter()` Creates a new adapter for an object of class '`Calling AST Node`'
`Adapter` `createCollectionItemAdapter()` Creates a new adapter for an object of class '`Collection Item`'
`Adapter` `createCollectionLiteralExpAdapter()` Creates a new adapter for an object of class '`Collection Literal Exp`'
`Adapter` `createCollectionLiteralPartAdapter()` Creates a new adapter for an object of class '`Collection Literal Part`'
`Adapter` `createCollectionRangeAdapter()` Creates a new adapter for an object of class '`Collection Range`'
`Adapter` `createEnumLiteralExpAdapter()` Creates a new adapter for an object of class '`Enum Literal Exp`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createFeatureCallExpAdapter()` Creates a new adapter for an object of class '`Feature Call Exp`'
`Adapter` `createIfExpAdapter()` Creates a new adapter for an object of class '`If Exp`'
`Adapter` `createIntegerLiteralExpAdapter()` Creates a new adapter for an object of class '`Integer Literal Exp`'
`Adapter` `createInvalidLiteralExpAdapter()` Creates a new adapter for an object of class '`Invalid Literal Exp`'
`Adapter` `createIterateExpAdapter()` Creates a new adapter for an object of class '`Iterate Exp`'
`Adapter` `createIteratorExpAdapter()` Creates a new adapter for an object of class '`Iterator Exp`'
`Adapter` `createLetExpAdapter()` Creates a new adapter for an object of class '`Let Exp`'
`Adapter` `createLiteralExpAdapter()` Creates a new adapter for an object of class '`Literal Exp`'
`Adapter` `createLoopExpAdapter()` Creates a new adapter for an object of class '`Loop Exp`'
`Adapter` `createMessageExpAdapter()` Creates a new adapter for an object of class '`Message Exp`'
`Adapter` `createNavigationCallExpAdapter()` Creates a new adapter for an object of class '`Navigation Call Exp`'
`Adapter` `createNullLiteralExpAdapter()` Creates a new adapter for an object of class '`Null Literal Exp`'
`Adapter` `createNumericLiteralExpAdapter()` Creates a new adapter for an object of class '`Numeric Literal Exp`'
`Adapter` `createOCLExpressionAdapter()` Creates a new adapter for an object of class '`OCL Expression`'
`Adapter` `createOperationCallExpAdapter()` Creates a new adapter for an object of class '`Operation Call Exp`'
`Adapter` `createPrimitiveLiteralExpAdapter()` Creates a new adapter for an object of class '`Primitive Literal Exp`'
`Adapter` `createPropertyCallExpAdapter()` Creates a new adapter for an object of class '`Property Call Exp`'
`Adapter` `createRealLiteralExpAdapter()` Creates a new adapter for an object of class '`Real Literal Exp`'
`Adapter` `createStateExpAdapter()` Creates a new adapter for an object of class '`State Exp`'
`Adapter` `createStringLiteralExpAdapter()` Creates a new adapter for an object of class '`String Literal Exp`'
`Adapter` `createTupleLiteralExpAdapter()` Creates a new adapter for an object of class '`Tuple Literal Exp`'
`Adapter` `createTupleLiteralPartAdapter()` Creates a new adapter for an object of class '`Tuple Literal Part`'
`Adapter` `createTypedASTNodeAdapter()` Creates a new adapter for an object of class '`Typed AST Node`'
`Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'
`Adapter` `createTypeExpAdapter()` Creates a new adapter for an object of class '`Type Exp`'
`Adapter` `createUnlimitedNaturalLiteralExpAdapter()` Creates a new adapter for an object of class '`Unlimited Natural Literal Exp`'
`Adapter` `createUnspecifiedValueExpAdapter()` Creates a new adapter for an object of class '`Unspecified Value Exp`'
`Adapter` `createVariableAdapter()` Creates a new adapter for an object of class '`Variable`'
`Adapter` `createVariableExpAdapter()` Creates a new adapter for an object of class '`Variable Exp`'
`Adapter` `createVisitableAdapter()` Creates a new adapter for an object of class '`Visitable`'
`boolean` `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static ExpressionsPackage modelPackage

  The cached model package.

### modelSwitch

    protected ExpressionsSwitch<Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### ExpressionsAdapterFactory

    public ExpressionsAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAssociationClassCallExpAdapter

    public Adapter createAssociationClassCallExpAdapter()

  Creates a new adapter for an object of class '`Association Class Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationClassCallExp`

### createBooleanLiteralExpAdapter

    public Adapter createBooleanLiteralExpAdapter()

  Creates a new adapter for an object of class '`Boolean Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanLiteralExp`

### createCallExpAdapter

    public Adapter createCallExpAdapter()

  Creates a new adapter for an object of class '`Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallExp`

### createCollectionItemAdapter

    public Adapter createCollectionItemAdapter()

  Creates a new adapter for an object of class '`Collection Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionItem`

### createCollectionLiteralExpAdapter

    public Adapter createCollectionLiteralExpAdapter()

  Creates a new adapter for an object of class '`Collection Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionLiteralExp`

### createCollectionLiteralPartAdapter

    public Adapter createCollectionLiteralPartAdapter()

  Creates a new adapter for an object of class '`Collection Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionLiteralPart`

### createCollectionRangeAdapter

    public Adapter createCollectionRangeAdapter()

  Creates a new adapter for an object of class '`Collection Range`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionRange`

### createEnumLiteralExpAdapter

    public Adapter createEnumLiteralExpAdapter()

  Creates a new adapter for an object of class '`Enum Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnumLiteralExp`

### createFeatureCallExpAdapter

    public Adapter createFeatureCallExpAdapter()

  Creates a new adapter for an object of class '`Feature Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureCallExp`

### createIfExpAdapter

    public Adapter createIfExpAdapter()

  Creates a new adapter for an object of class '`If Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IfExp`

### createIntegerLiteralExpAdapter

    public Adapter createIntegerLiteralExpAdapter()

  Creates a new adapter for an object of class '`Integer Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntegerLiteralExp`

### createUnlimitedNaturalLiteralExpAdapter

    public Adapter createUnlimitedNaturalLiteralExpAdapter()

  Creates a new adapter for an object of class '`Unlimited Natural Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnlimitedNaturalLiteralExp`

### createInvalidLiteralExpAdapter

    public Adapter createInvalidLiteralExpAdapter()

  Creates a new adapter for an object of class '`Invalid Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvalidLiteralExp`

### createIterateExpAdapter

    public Adapter createIterateExpAdapter()

  Creates a new adapter for an object of class '`Iterate Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IterateExp`

### createIteratorExpAdapter

    public Adapter createIteratorExpAdapter()

  Creates a new adapter for an object of class '`Iterator Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IteratorExp`

### createLetExpAdapter

    public Adapter createLetExpAdapter()

  Creates a new adapter for an object of class '`Let Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LetExp`

### createLiteralExpAdapter

    public Adapter createLiteralExpAdapter()

  Creates a new adapter for an object of class '`Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralExp`

### createLoopExpAdapter

    public Adapter createLoopExpAdapter()

  Creates a new adapter for an object of class '`Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LoopExp`

### createMessageExpAdapter

    public Adapter createMessageExpAdapter()

  Creates a new adapter for an object of class '`Message Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageExp`

### createNavigationCallExpAdapter

    public Adapter createNavigationCallExpAdapter()

  Creates a new adapter for an object of class '`Navigation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NavigationCallExp`

### createNullLiteralExpAdapter

    public Adapter createNullLiteralExpAdapter()

  Creates a new adapter for an object of class '`Null Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NullLiteralExp`

### createNumericLiteralExpAdapter

    public Adapter createNumericLiteralExpAdapter()

  Creates a new adapter for an object of class '`Numeric Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NumericLiteralExp`

### createOCLExpressionAdapter

    public Adapter createOCLExpressionAdapter()

  Creates a new adapter for an object of class '`OCL Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OCLExpression`

### createOperationCallExpAdapter

    public Adapter createOperationCallExpAdapter()

  Creates a new adapter for an object of class '`Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OperationCallExp`

### createPrimitiveLiteralExpAdapter

    public Adapter createPrimitiveLiteralExpAdapter()

  Creates a new adapter for an object of class '`Primitive Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveLiteralExp`

### createPropertyCallExpAdapter

    public Adapter createPropertyCallExpAdapter()

  Creates a new adapter for an object of class '`Property Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyCallExp`

### createRealLiteralExpAdapter

    public Adapter createRealLiteralExpAdapter()

  Creates a new adapter for an object of class '`Real Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RealLiteralExp`

### createStateExpAdapter

    public Adapter createStateExpAdapter()

  Creates a new adapter for an object of class '`State Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StateExp`

### createStringLiteralExpAdapter

    public Adapter createStringLiteralExpAdapter()

  Creates a new adapter for an object of class '`String Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringLiteralExp`

### createTupleLiteralExpAdapter

    public Adapter createTupleLiteralExpAdapter()

  Creates a new adapter for an object of class '`Tuple Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleLiteralExp`

### createTupleLiteralPartAdapter

    public Adapter createTupleLiteralPartAdapter()

  Creates a new adapter for an object of class '`Tuple Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleLiteralPart`

### createTypeExpAdapter

    public Adapter createTypeExpAdapter()

  Creates a new adapter for an object of class '`Type Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeExp`

### createUnspecifiedValueExpAdapter

    public Adapter createUnspecifiedValueExpAdapter()

  Creates a new adapter for an object of class '`Unspecified Value Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnspecifiedValueExp`

### createVariableAdapter

    public Adapter createVariableAdapter()

  Creates a new adapter for an object of class '`Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Variable`

### createVariableExpAdapter

    public Adapter createVariableExpAdapter()

  Creates a new adapter for an object of class '`Variable Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VariableExp`

### createTypedElementAdapter

    public Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createVisitableAdapter

    public Adapter createVisitableAdapter()

  Creates a new adapter for an object of class '`Visitable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Visitable`

### createASTNodeAdapter

    public Adapter createASTNodeAdapter()

  Creates a new adapter for an object of class '`AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASTNode`

### createCallingASTNodeAdapter

    public Adapter createCallingASTNodeAdapter()

  Creates a new adapter for an object of class '`Calling AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallingASTNode`

### createTypedASTNodeAdapter

    public Adapter createTypedASTNodeAdapter()

  Creates a new adapter for an object of class '`Typed AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedASTNode`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.